classification
Title: smtplib: duplicated debug message
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, corona10, giampaolo.rodola, iritkatriel, maxking, miss-islington, qingyunha
Priority: normal Keywords: patch

Created on 2018-02-08 09:05 by qingyunha, last changed 2020-10-13 15:19 by corona10. This issue is now closed.

Files
File name Uploaded Description Edit
smtp.patch qingyunha, 2018-02-08 09:05
Pull Requests
URL Status Linked Edit
PR 15341 merged ZackerySpytz, 2019-08-20 11:20
PR 22683 merged corona10, 2020-10-13 14:32
Messages (7)
msg311818 - (view) Author: TaoQingyun (qingyunha) * Date: 2018-02-08 09:05
```
            if self.debuglevel > 0:
                self._print_debug('connect:', (host, port))
```
The above both in _get_socket and connect method, and connect also invoke _get_socket.
msg350026 - (view) Author: Abhilash Raj (maxking) * (Python committer) Date: 2019-08-20 17:48
Removing 2.7 which only accepts security patches.
msg350027 - (view) Author: miss-islington (miss-islington) Date: 2019-08-20 17:52
New changeset 46a7564578f208df1e0c54fc0520d3b7ca32c981 by Miss Islington (bot) (Zackery Spytz) in branch 'master':
bpo-32793: Fix a duplicate debug message in smtplib (GH-15341)
https://github.com/python/cpython/commit/46a7564578f208df1e0c54fc0520d3b7ca32c981
msg378397 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-10-10 13:28
Does this need to be backported to 3.8/3.7?
msg378559 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-10-13 14:29
3.7 only can be applied security fix.

https://cpython-devguide.readthedocs.io/#branchstatus
msg378564 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-10-13 15:19
New changeset 76b1913daf883b6592815d139f62f3a7fbe3c322 by Dong-hee Na in branch '3.8':
[3.8] bpo-32793: Fix a duplicate debug message in smtplib (GH-15341) (GH-22683)
https://github.com/python/cpython/commit/76b1913daf883b6592815d139f62f3a7fbe3c322
msg378565 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-10-13 15:19
@ZackerySpytz Thank you for work :)
History
Date User Action Args
2020-10-13 15:19:46corona10setstatus: open -> closed
resolution: fixed
messages: + msg378565

stage: patch review -> resolved
2020-10-13 15:19:22corona10setmessages: + msg378564
2020-10-13 14:35:34corona10setversions: - Python 3.7
2020-10-13 14:32:17corona10setpull_requests: + pull_request21655
2020-10-13 14:29:50corona10setnosy: + corona10
messages: + msg378559
2020-10-10 13:28:00iritkatrielsetnosy: + iritkatriel
messages: + msg378397
2019-08-20 17:52:37miss-islingtonsetnosy: + miss-islington
messages: + msg350027
2019-08-20 17:48:47maxkingsetnosy: + maxking

messages: + msg350026
versions: - Python 2.7
2019-08-20 11:22:16ZackerySpytzsetnosy: + ZackerySpytz

type: behavior
versions: + Python 3.9, - Python 3.6
2019-08-20 11:20:05ZackerySpytzsetstage: patch review
pull_requests: + pull_request15058
2018-02-10 03:46:44terry.reedysetnosy: + giampaolo.rodola

versions: - Python 3.4, Python 3.5
2018-02-08 09:05:18qingyunhacreate